import * as core from "@terrascript/core";

export interface DsDbEventCategoriesArgs {
  sourceType?: string | core.StringOut;
}

export class DsDbEventCategories extends core.Data<DsDbEventCategoriesArgs> {
  @core.attr(String, { computed: true, kind: "array" })
  public eventCategories!: core.Array<string> | core.ArrayOut<core.StringOut>;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public sourceType?: string | core.StringOut;

  constructor(name: string, args?: DsDbEventCategoriesArgs) {
    super(name, "aws_db_event_categories", args);
  }

  public override getNamespace(): string {
    return "aws_rds";
  }
}
